import { computed } from 'vue'
import { useStore } from 'vuex'

export function useNetdbTranslate() {
  const store = useStore()

  function $t_netdb(item) {
    if (typeof item === 'object') {
      return computed(() => store.state.language in item ? item[store.state.language].value : item.de.value)
    }
    return item
  }

  return {
    $t_netdb
  }
}
