import Vue from 'vue'
import VueI18n from 'vue-i18n'

Vue.use(VueI18n)

function loadLocaleMessages () {
  // const locales = require.context('@/locales', true, /[A-Za-z0-9-_,\s]+\.json$/i)
  const locales = import.meta.glob('@/locales/*.json')
  const messages = {}
  for (const path in locales) {
    const matched = path.match(/([A-Za-z0-9-_]+)\./i)
    if (matched && matched.length > 1) {
      const locale = matched[1]
      locales[path]().then((module) => {
        messages[locale] = module.default
      })
    }
  }
  return messages
}

export default new VueI18n({
  locale: navigator.language.split('-')[0] || 'en',
  fallbackLocale: ['en', 'de'],
  messages: loadLocaleMessages()
})
