import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [
    vue({
      template: {
        compilerOptions: {
          compatConfig: {
            MODE: 2
          }
        }
      }
    })
  ],
  resolve: {
    alias: {
      '@': path.resolve(__dirname, './src'),
      vue: '@vue/compat',
    },
    extensions: ['.js', 'ts', '.jsx', '.tsx', '.json', '.vue'],
  },
  server: {
    port: 8080,
    proxy: {
      '^/api/4.1': {
        target: 'https://api.netdb-devel.scc.kit.edu',
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/api/, '') // pathRewrite: { '^/api': '' },
      },
      '^/api/openapi.json': {
        target: 'https://netvs-devel.scc.kit.edu',
        // target: 'http://localhost:8000',
        changeOrigin: false,
        secure: false,
        // pathRewrite: { '^/api': '' },
      },
      '^/api': {
        target: 'https://netvs-devel.scc.kit.edu',
        // target: 'http://localhost:8000',
        changeOrigin: false,
        secure: false,
      },
      '^/hub': {
        target: 'https://netvs-devel.scc.kit.edu',
        // target: 'http://localhost:5000
        changeOrigin: false,
        secure: false,
      }
    }
  }
})
